LR_LOG2MAIL.IN(1)

NAME
lr_log2mail - send a report generated from a log file by email

SYNOPSIS
lr_log2mail [options] service addresses...

lr_log2mail -h

lr_log2mail -v

OPTIONS

-h  Prints usage information and exits.

-c report_cfg
    Use the file report_cfg as the report configuration file instead of the default one.

-i  Generate charts for all reports that support it. Normally, charts will be generated only if the variable LR_INCLUDEIMAGES is set to 1.

-o output format
    One of pdf, html, html_page, xhtml, xhtml_page, txt, docbookx, rtf, logml and xml. Per default, simple txt output is generated. For the www and email superservice also the logml output format is available. The html and xhtml output format behave exactly the same as html_page and xhtml_page, respectively: they generate the complete report on one page, since this is nicer in email messages. The html and xhtml options are just supplied for compatibity with lr_log2report(1) and friends. (Refer to the Lire User Manual for a description of this format.)

-s subject
    A keyword that will be included in the subject of the outgoing mail message. Used by the Online Responder to match outgoing email to incoming mail, but it can also be useful for other purpose. The email subject will look like:

    [LogReport] LR_SERVICE report (was: subject)

-v  Prints Lire's version and exits.

DESCRIPTION
The lr_log2mail command is similar to the lr_log2report(1) command with the difference that the report is sent by email instead of being output on STDOUT. The log file is read from STDIN. The log file's format is specified using the service argument. (Run

  lr_run lr_check_service -l
for a list of supported services.) All remaining arguments are interpreted as email addresses to which to send the report.

The report will be encapsulated in a MIME email appropriate for the output format. For example, ASCII reports will be sent inline, PDF reports will be sent as a file attachment and HTML reports should appear inline in a HTML-capable mail reader.

The LR_SIGNATUREFILE and LR_DISCLAIMERFILE files are sent along the generated report.

If an error occurs in the report generation process, an email message explaining possible sources for the error will be sent to the email addresses.

The -o xml format is useful in the case the log file was anonymized so that it can be deanonymized before being formatted using lr_xml2report(1) or lr_xml2mail(1). When using that format, the LR_EXPLANATIONFILE file will be included in the outgoing message.

The From and Reply-To headers in the outgoing emails are set to the values of the LR_FROM and LR_REPLYTO environment variables.

The environment variable LR_ID is used in tags in debug messages, which get printed to stdout. In case LR_ID is not set, lr_log2mail(1) itself generates one.

When run from the commandline, it's useful to run it under lr_run(1), to be able to tune the amount of debug output generated.

EXAMPLE
 % lr_run lr_log2mail -s "bind8 report" bind8_query \
     root "Joe User <joe@example.com>" < /var/log/query.log

SEE ALSO
lr_log2report(1), lr_anonymize(1), lr_xml2report(1), lr_xml2mail(1), lr_rawmail2mail(1), documentation in the Lire User Manual

VERSION
$Id: lr_log2mail.in,v 1.46 2002/08/19 14:34:34 vanbaal Exp $

COPYRIGHT
Copyright (C) 2000, 2001, 2002 Stichting LogReport Foundation LogReport@LogReport.org

This program is part of Lire.

Lire is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program (see COPYING); if not, check with http://www.gnu.org/copyleft/gpl.html or write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111, USA.

AUTHORS
Joost van Baal <joostvb@logreport.org>

Francis J. Lacoste <flacoste@logreport.org>